-------------
-- WARLOCK --
-------------

if (not Watcher) then
    return;
end

if (select(2, UnitClass('player')) ~= "WARLOCK") then
    return;
end

--[[

-- generic spells
Watcher:AddIcon("Agony", 980);
Watcher:AddIcon("Banish", 710);
Watcher:AddIcon("Carrion Swarm", 103967);
Watcher:AddIcon("Chaos Bolt", 116858);
Watcher:AddIcon("Command Demon", 119898);
Watcher:AddIcon("Conflagrate", 17962);
Watcher:AddIcon("Corruption", 172);
Watcher:AddIcon("Curse of the Elements", 79956);
Watcher:AddIcon("Dark Soul: Instability", 113858);
Watcher:AddIcon("Dark Soul: Knowledge", 113861);
Watcher:AddIcon("Dark Soul: Misery", 113860);
Watcher:AddIcon("Drain Life", 689);
Watcher:AddIcon("Drain Soul", 1120);
Watcher:AddIcon("Ember Tap", 114635);
Watcher:AddIcon("Fire and Brimstone", 108683);
Watcher:AddIcon("Grimoire: Felguard", 111898);
Watcher:AddIcon("Hand of Gul'dan", 105174);
Watcher:AddIcon("Haunt", 48181);
Watcher:AddIcon("Havoc", 80240);
Watcher:AddIcon("Imp Swarm", 104316);
Watcher:AddIcon("Immolate", 118297);
Watcher:AddIcon("Incinerate", 29722);
Watcher:AddIcon("Life Tap", 1454);
Watcher:AddIcon("Malefic Grasp", 103103);
Watcher:AddIcon("Metamorphosis", 103958);
Watcher:AddIcon("Metamorphosis: Doom", 603);
Watcher:AddIcon("Metamorphosis: Touch of Chaos", 112089);
Watcher:AddIcon("Shadow Bolt", 686);
Watcher:AddIcon("Shadowburn", 17877);
Watcher:AddIcon("Soul Fire", 6353);
Watcher:AddIcon("Soul Swap", 86121);
Watcher:AddIcon("Soulburn", 74434);
Watcher:AddIcon("Summon Abyssal", 112921);
Watcher:AddIcon("Summon Doomguard", 18540);
Watcher:AddIcon("Summon Infernal", 1122);
Watcher:AddIcon("Summon Terrorguard", 112927);
Watcher:AddIcon("Unstable Affliction", 131736);

-- talented spells and procs
Watcher:AddIcon("Molten Core", 122351);
Watcher:AddIcon("Shadow Trance", 17941);

function Watcher:AddClassSpells()
    Watcher:Debuff("Agony");
    Watcher:Debuff("Corruption");
    Watcher:Debuff("Curse of the Elements");
    Watcher:Debuff("Haunt");
    Watcher:Debuff("Immolate");
    Watcher:Debuff("Metamorphosis: Doom");
    Watcher:Debuff("Unstable Affliction");
    Watcher:Direct("Chaos Bolt");
    Watcher:Direct("Conflagrate");
    Watcher:Direct("Dark Soul: Instability");
    Watcher:Direct("Dark Soul: Knowledge");
    Watcher:Direct("Dark Soul: Misery");
    Watcher:Direct("Grimoire: Felguard");
    Watcher:Direct("Hand of Gul'dan");
    Watcher:Direct("Haunt");
    Watcher:Direct("Imp Swarm");
    Watcher:Direct("Incinerate");
    Watcher:Direct("Life Tap");
    Watcher:Direct("Malefic Grasp");
    Watcher:Direct("Metamorphosis");
    Watcher:Direct("Shadow Bolt");
    Watcher:Proc("Shadow Trance", "Haunt");
    Watcher:Proc("Molten Core", "Soul Fire");
    Watcher:HealthThreshold(20, false, "Drain Soul");
    Watcher:HealthThreshold(20, false, "Shadowburn");
    Watcher:HealthThreshold(20, false, "Summon Doomguard");
    Watcher:HealthThreshold(20, false, "Summon Terrorguard");
end

--]]